using Unity.VisualScripting;
using UnityEngine;
using System;

public class Noice : MonoBehaviour
{
    public static event Action<int> OnMakeNoice;
    public int noice;
    private void OnTriggerEnter(Collider other)
    {
        if (other.isTrigger) return;
        OnMakeNoice.Invoke(noice);
    }
}
